애플리케이션 설정 API
GitLab 인스턴스의 애플리케이션 설정을 조회하고 업데이트하는 API를 설명합니다. 사용 가능한 설정 파라미터와 예시 응답을 포함합니다.
- Tier: Free, Premium, Ultimate - Offering: GitLab Self-Managed, GitLab Dedicated 이 API를 사용하여 GitLab 인스턴스의 애플리케이션 설정 과 상호작용합니다. 애플리케이션 설정 변경 사항은 캐싱 대상이며 즉시 적용되지 않을 수 있습니다. 기본적으로 GitLab은 애플리케이션 설정을 60초 동안 캐시합니다. 인스턴스의 애플리케이션 설정 캐시를 제어하는 방법에 대한 정보는 애플리케이션 캐시 간격 을 참조하세요. 전제 조건: 인스턴스에 대한 관리자 액세스 권한이 있어야 합니다. 현재 애플리케이션 설정의 세부 정보 조회 # History always_perform_delayed_deletion feature flag enabled in GitLab 15.11. delayed_project_deletion and delayed_group_deletion attributes removed in GitLab 16.0. in_product_marketing_emails_enabled attribute removed in GitLab 16.6. repository_storages attribute removed in GitLab 16.6. user_email_lookup_limit attribute removed in GitLab 16.7. allow_all_integrations and allowed_integrations attributes added in GitLab 17.6. 이 GitLab 인스턴스의 현재 애플리케이션 설정 에 대한 세부 정보를 조회합니다. GET /application/settings curl --request GET \ --header "PRIVATE-TOKEN: <your_access_token>" \ --url "https://gitlab.example.com/api/v4/application/settings" 응답 예시: { "default_projects_limit" : 100000, "signup_enabled" : true, "id" : 1, "default_branch_protection" : 2, "default_branch_protection_defaults": { "allowed_to_push": [ { "access_level": 40 } ], "allow_force_push": false, "allowed_to_merge": [ { "access_level": 40 } ] }, "default_preferred_language" : "en", "deletion_adjourned_period": 7, "failed_login_attempts_unlock_period_in_minutes": 30, "restricted_visibility_levels" : [], "sign_in_restrictions": {}, "password_authentication_enabled_for_web" : true, "after_sign_out_p